(function() {

	'use strict';

	/* globals Yar */

	// store Yar used by other packages so we can avoid conflict and not have to prefix our package names //

	window.old__import = window.__import;
	window.old__export = window.__export;
	
	window.flcoder = new Yar('import', 'export'); // outside libs can now flcoder.import('SomeClass')

	// temporarily set window's import/export funcs so our library's calls to __import will reference flcoder.import
	
	window.__import = window.flcoder.import;
	window.__export = window.flcoder.export;

	/*
		
		This reason for doing all of this is so that if we decided to rename our library to MyAwesome lib instead of flcoder, we don't have to alter every file

	*/
	
})();