function Yar(t,n){"use strict";t=t||"__import",n=n||"__export";var i={},r={};this[t]=function(){function t(){if(!--u){for(;u=s.pop();)a.push(i[u]);p.apply(null,a)}}var n,s,u=0,o=arguments.length,p=arguments[o-1],a=o>2?arguments.slice(0,o-1):arguments[0].split(/[\s,]+/);for(s=a.slice(0),u=0;(n=a.pop())&&(i[n]||++u);)(r[n]||(r[n]=[])).push(t);t(++u),a=[]},this[n]=function(t,n){var s;if(i[t]=n,r[t])for(s in r[t])r[t][s]()}}
(function() {

	'use strict';

	/* globals Yar */

	// store Yar used by other packages so we can avoid conflict and not have to prefix our package names //

	window.old__import = window.__import;
	window.old__export = window.__export;
	
	window.flcoder = new Yar('import', 'export'); // outside libs can now flcoder.import('SomeClass')

	// temporarily set window's import/export funcs so our library's calls to __import will reference flcoder.import
	
	window.__import = window.flcoder.import;
	window.__export = window.flcoder.export;

	/*
		
		This reason for doing all of this is so that if we decided to rename our library to MyAwesome lib instead of flcoder, we don't have to alter every file

	*/
	
})();
(function() {

	'use strict';

	var Chaining = {

		push: function(arr, item) { arr.push(item); return item; }

	};

	__export('Chaining', Chaining);

})();
__import(

	'flcoder.Store',
	
	function(Store) {

		'use strict';

		function Controller(id, storeVersion) {
				
			this.storeVersion = storeVersion || 'v.0.0.0';

			this.store = new Store(id, this.storeVersion);

		}

		__export('Controller', Controller);

	}

);
(function() {

	'use strict';

	function DomCache(html) {
		
		var cache = [];

		return function() {

			var element = cache.pop();
			
			if( !element ) {
				
				element = $(html);
			
				element.cache = function() {
			
					cache.push(element.detach());

				};
			
			}

			return element;

		};
	
	}

	__export('DomCache', DomCache);

})();
(function() {

	'use strict';

	function GenericError(message, context) {
		Error.call(this, message);
		this.name = 'GenericError';
  		this.message = message;
  		this.context = context;
	}

	GenericError.prototype = new Error('GenericError');

	__export('GenericError', GenericError);

})();
(function() {

	'use strict';

	function Store(app_id, version) {

		var cache = {};
		var prefix = app_id+'_'+version+'_';

		function getKey(member, v) {
		
			return v ? app_id+'_'+v+'_'+member : prefix+member;
		
		}

		this.get = function(member, v) {
			
			return cache[member] || (cache[member] = JSON.parse(localStorage[getKey(member,v)]));

		};

		this.save = function(member, value, v) {
			cache[member] = value;
			localStorage[getKey(member,v)] = JSON.stringify(value);
		};

	}

	__export('Store', Store);

})();
(function() {

	'use strict';

	__import(
	
		'DomCache, Chaining',

		function(DomCache, Chaining) {

			function Table(useBootstrapClasses) {

				var cache = {
					col: new DomCache('<th class="flc-table-col"></th>'),
					row: new DomCache('<tr class="flc-table-row"></tr>'),
					cel: new DomCache('<td class="flc-table-cel"></td>')
				};

				var cols = [];
				var rows = [];

				var table		= $('<table>');
				var thead		= $('<thead>');
				var tbody		= $('<tbody>');
				var toptr		= $('<tr>');
				
				if( useBootstrapClasses !== false ) table.addClass('table table-striped');

				table.append(thead);
				table.append(tbody);
				
				thead.append(toptr);
				
				table.update = function update(new_cols, new_rows) {
					
					var i, j, row;

					for(i in new_cols) {
						( cols[i] || Chaining.push(cols, cache.col().appendTo(toptr)) )
							.html(''+new_cols[i]);
					}

					for(i in new_rows) {
						row = rows[i] || Chaining.push(rows, cache.row().appendTo(tbody));
						row.cells = row.cells || [];
						for(j in new_rows[i]) {
							( row.cells[j] || Chaining.push(row.cells, cache.cel().appendTo(row)) )
								.html(''+new_rows[i][j]);
						}
					}

				};

				this.table = table;

			}

			__export('Table', Table);

		}

	);
	

})();
(function(lib) {

	'use strict';

	var SORT_DIRS = [[-1,1],[1,-1]];

	lib.test = function() {

		var objects = [];
		
		var state = {
			cols: [],
			sort_order: []
		};

		function compare(a, b, n) {

			var va, vb, col, dirs;

			n = n || 0;

			if( state.sort_order.length > n ) {
				col		= state.cols[state.sort_order[n]];
				dirs	= SORT_DIRS[col.sort_dir];
				va		= a[col.member];
				vb		= b[col.member];	
			} else {
				dirs	= SORT_DIRS[0];
				va		= a;
				vb		= b;
			}

			return va < vb ? dirs[0] : (va > vb ? dirs[1] : compare(a,b,n+1));
			
		}

		function update() {
			
			objects.sort(compare);

		}

		update();

	};

})(window.lib);
(function(lib) {

	'use strict';

	/* globals lib */	

	var SORT_DIRS = [[-1,1],[1,-1]];

	lib.ui.TableDefault = TableModel;

	function TableModel() {

		var objects = [];
		
		var state = {
			cols: [],
			sort_order: []
		};

		function compare(a, b, n) {

			var va, vb, col, dirs;

			n = n || 0;

			if( state.sort_order.length > n ) {
				col		= state.cols[state.sort_order[n]];
				dirs	= SORT_DIRS[col.sort_dir];
				va		= a[col.member];
				vb		= b[col.member];	
			} else {
				dirs	= SORT_DIRS[0];
				va		= a;
				vb		= b;
			}

			return va < vb ? dirs[0] : (va > vb ? dirs[1] : compare(a,b,n+1));
			
		}

		function update() {
			
			objects.sort(compare);

		}

		update();

	}

})(window.lib);
(function() {

	'use strict';
	
	window.__import = window.old__import;
	window.__export = window.old__export;

})();