(function() {

	'use strict';

	function DomCache(html) {
		
		var cache = [];

		return function() {

			var element = cache.pop();
			
			if( !element ) {
				
				element = $(html);
			
				element.cache = function() {
			
					cache.push(element.detach());

				};
			
			}

			return element;

		};
	
	}

	__export('DomCache', DomCache);

})();