(function(lib) {

	'use strict';

	var SORT_DIRS = [[-1,1],[1,-1]];

	lib.test = function() {

		var objects = [];
		
		var state = {
			cols: [],
			sort_order: []
		};

		function compare(a, b, n) {

			var va, vb, col, dirs;

			n = n || 0;

			if( state.sort_order.length > n ) {
				col		= state.cols[state.sort_order[n]];
				dirs	= SORT_DIRS[col.sort_dir];
				va		= a[col.member];
				vb		= b[col.member];	
			} else {
				dirs	= SORT_DIRS[0];
				va		= a;
				vb		= b;
			}

			return va < vb ? dirs[0] : (va > vb ? dirs[1] : compare(a,b,n+1));
			
		}

		function update() {
			
			objects.sort(compare);

		}

		update();

	};

})(window.lib);